import { EventEmitter } from '@angular/core';
import { DialogComponent } from './dialog';
export declare class PromptDialogComponent {
    message: string;
    okButton: string;
    cancelButton: string;
    onAccept: EventEmitter<void>;
    onCancel: EventEmitter<void>;
    dialog: DialogComponent;
    open(): void;
    accept(): void;
    cancel(): void;
    dismiss(): void;
}
